// Простой миксин для флекса
@mixin flex($width, $margin: null, $wrap: null, $grow: 0) {
  justify-content: flex-start;
  
  @if $margin {
    margin-left: -$margin;
    margin-right: -$margin;
  }
  
  @if $wrap {
    flex-wrap: $wrap;
  } @else {
    flex-wrap: wrap;
  }
  
  display: flex;
  
  & > * {
    @if $margin {
      margin-left: $margin;
      margin-right: $margin;
    }
    
    @if $grow {
      flex: $grow 1 $width;
    } @else {
      flex: 0 1 $width;
    }
  }
}

// Сброс стиля для IE
@mixin initial($property) {
  #{$property}: inherit !important;
  #{$property}: initial !important;
}

// Выравнивание по центру
@mixin flex-middle {
  justify-content: center;
  align-items: center;
  display: flex;
  
  &::after {
    content: '';
    min-height: inherit;
    font-size: 0;
  }
}

// Выравнивание по вертикали
@mixin flex-vertical {
  align-items: center;
  display: flex;
  
  &::after {
    content: '';
    min-height: inherit;
    font-size: 0;
  }
}

// Центрированный флекс
@mixin flex-horizontal() {
  justify-content: center;
  display: flex;
  
  &::after {
    content: '';
    min-height: inherit;
    font-size: 0;
  }
}

// Шрифты velasans
@mixin font($font: velasans) {
  @if $font == velasans {
    font-family: "velasans", sans-serif;
    font-weight: 400;
    font-style: normal;
  }
  
  @if $font == velasans-light {
    font-family: "velasans", sans-serif;
    font-weight: 300;
    font-style: normal;
  }
  
  @if $font == velasans-semi-bold {
    font-family: "velasans", sans-serif;
    font-weight: 600;
    font-style: normal;
  }
  
  @if $font == velasans-bold {
    font-family: "velasans", sans-serif;
    font-weight: 700;
    font-style: normal;
  }
  
  @if $font == velasans-bold-i {
    font-family: "velasans", sans-serif;
    font-weight: 700;
    font-style: italic;
  }
  
  @if $font == velasans-extra-bold {
    font-family: "velasans", sans-serif;
    font-weight: 800;
    font-style: normal;
  }
}